Description

XML documents with internal DTDs are not handled by metacat. The internal dtd entity callback in the sax parser is blank and
doesn't do anything when presented with an internal dtd.

History

#1 - 07/03/2008 11:38 AM - Chad Berkley

I have fixed this problem in the SMS branch so that any file that is uploaded via the insertMultipart action can be read from disk instead of from the
database. This allows the xml document to retain any internal DTD declarations it has. It works because the multipart upload method already writes
any multipart files to disk so when a read request comes in, metacat now checks to see if the document exists on disk as well as in the database. If it
exists on disk and the gformat is xml, it reads the document off of disk instead of from the database.

Note that this will only work for files that are uploaded using the multipartinsert action. We may want to enable this type of caching for the other
upload methods as well.

I'm going to leave this bug open to track this issue, but for the SMS needs, this issue is essentially fixed.

#2 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3402

#3 - 04/09/2013 04:38 PM - ben leinfelder
- Assignee changed from Chad Berkley to ben leinfelder

- Target version changed from Unspecified to 2.1.0

We are saving the XML doc (both inserted and uploaded) to disk now - not sure if this problem persists.

#4 - 07/09/2013 02:23 PM - ben leinfelder

- Target version changed from 2.1.0 to 2.x.y
